using OpenCvSharp;

namespace Hawkeye.VisionBuilder.Workflow.ColorStudioClasses.Filters;

public class SobelFilterItem:IFilter
{
    public IFilterParent Parent { get; set; }
    public void Transform(ref Mat image, ref Mat res)
    {
        var filtered=image.Sobel(MatType.CV_32F, 1, 1, 3);
        filtered.ConvertTo(image, MatType.CV_8UC3);
    }

    public void Save(BinaryWriter writer)
    {
        
    }

    public void Load(BinaryReader reader)
    {
        
    }

    public bool IsSelected { get; set; }
}